| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Macros | Functions
Bicycle Power profile pages 17, 18 (commons)
Bicycle Power profile pages

## Data Structures
struct | ant_bpwr_page_torque_data_t
| Common data structure for Bicycle Power data pages 17, 18. More...

## Macros
#define | DEFAULT_ANT_BPWR_PAGE_TORQUE(up_evt_cnt, def_tick, def_period, acc_torque)
| Initialize page torque. More...

## Functions
void | ant_bpwr_page_torque_encode (uint8_t *p_page_buffer, ant_bpwr_page_torque_data_t const *p_page_data)
| Function for encoding pages 17, 18. More...
void | ant_bpwr_page_torque_decode (uint8_t const *p_page_buffer, ant_bpwr_page_torque_data_t *p_page_data)
| Function for decoding pages 17, 18. More...
void | ant_bpwr_page_torque_log (ant_bpwr_page_torque_data_t const *p_page_data)
| Function for logging pages 17, 18. More...

## Detailed Description

## Macro Definition Documentation

#define DEFAULT_ANT_BPWR_PAGE_TORQUE | ( |  | up_evt_cnt,
|  |  | def_tick,
|  |  | def_period,
|  |  | acc_torque
| ) |  |

Value:
{ \
.update_event_count = (up_evt_cnt), \
.tick = (def_tick), \
.period = (def_period), \
.accumulated_torque = (acc_torque) \
}

Initialize page torque.

## Function Documentation

void ant_bpwr_page_torque_decode | ( | uint8_t const * | p_page_buffer,
|  | ant_bpwr_page_torque_data_t * | p_page_data
| ) |  |

Function for decoding pages 17, 18.

Parameters

  [in] | p_page_buffer | Pointer to the data buffer.
  [out] | p_page_data | Pointer to the page data.

void ant_bpwr_page_torque_encode | ( | uint8_t * | p_page_buffer,
|  | ant_bpwr_page_torque_data_t const * | p_page_data
| ) |  |

Function for encoding pages 17, 18.

Parameters

  [in] | p_page_data | Pointer to the page data.
  [out] | p_page_buffer | Pointer to the data buffer.

void ant_bpwr_page_torque_log | ( | ant_bpwr_page_torque_data_t const * | p_page_data | ) |

Function for logging pages 17, 18.

Parameters

  [in] | p_page_data | Pointer to the page data.